.modal-wrapper {
  position: fixed;
  display: flex;
  flex-direction: column;
  pointer-events: none;
  z-index: 99999;
  inset: 0px;
  opacity: 0;
  transition: all 0.3s;

  &.active-wallet {
    background: var(--bg-wrap);
    opacity: 1;
    pointer-events: all;

    .wallet {
      opacity: 1;
      pointer-events: all;
    }
  }

  &.active-bag {
    opacity: 1;
  }

  &.active-burger,
  &.active-filter {
    backdrop-filter: blur(20px);
    background: rgba(48, 54, 59, 0.5);
    pointer-events: all;
    opacity: 1;
  }

  &.active-filter {
    .assets-filter {
     

      &.active {
      opacity: 1;
      pointer-events: all;
      transform: translateX(0px);
      }
    }
  }
}

//*==========MODAL-WALLET===========

.wallet {
  padding: 24px 0;
  margin: auto;
  min-height: 0;
  opacity: 0;
  pointer-events: none;

  &__inner {
    padding: 32px;
    width: 100%;
    max-width: 370px;
    max-height: 100%;
    overflow: auto;
    border: 1px solid var(--main-008);
    border-radius: 16px;
    background: var(--bg-semi);
    transform: translateY(30px);
    transition: all 0.3s;

    &.active {
      transform: translateY(0);
    }
  }

  &__close-btn {
    position: absolute;
    padding: 0;
    top: 32px;
    right: 32px;
    width: 40px;
    height: 40px;
    background-color: transparent;
  
    &:hover {
      background-color: transparent;
      border-color: var(--main-008);
    }
  }

  &__title {
    font-size: 22px;
    height: 40px;
    line-height: 40px;
  }

  &__text {
    color: var(--main);
    font-size: 15px;
    margin: 20px 0 32px;
  }

  &__main {
    margin-bottom: 30px;
  }

  &__btn {
    width: 100%;
    font-size: 14px;
  }
}

.wallet-box {
  margin-bottom: 20px;
  &__title {
    color: var(--main-06);
    font-size: 13px;
    margin-bottom: 10px;
  }

  &--more {
    display: none;
    &.active {
      display: block;
    }
  }
}

.wallet-item {
  display: flex;
  align-items: center;
  justify-content: start;
  &__img {
    margin-right: 10px;
    width: 32px;
    height: 32px;
  }
  &:not(:last-child) {
    margin-bottom: 20px;
  }
}

//*==============MODAL-BAG=============

.bag {
  position: fixed;
  inset: 0px 0px 0px auto;
  top: 80px;
  width: 100%;
  max-width: 370px;
  margin: 20px 24px;
  overflow: hidden;
  pointer-events: none;

  color: var(--main);
  background-color: var(--bg);
  box-shadow: rgb(0 0 0 / 20%) 0 0 20px 2px;
  border-radius: 16px;

  opacity: 0;
  transform: translateX(30px);
  z-index: 9999;
  transition: transform .2s, opacity .2s;

  &.active {
    pointer-events: all;
    transform: translateX(0);
    opacity: 1;
  }

  &__inner {
    height: 100%;
    overflow: auto;
  }
  &__body {
    display: flex;
    flex-direction: column;
    height: 100%;
  }

  &__main {
    padding: 0 12px;
  }
}

.top-bag,
.footer-bag {
  position: sticky;
  width: 100%;
  padding: 24px;
  background-color: var(--bg);
  z-index: 4;
}

.top-bag {
  top: 0;

  &__inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  &__main {
    display: flex;
    align-items: center;
  }

  &__title {
    font-size: 22px;
    font-weight: 800;
  }

  &__count {
    margin: 0 20px 0 12px;
    width: 24px;
    height: 24px;
    line-height: 24px;
    font-size: 12px;
    font-weight: 700;
    text-align: center;
    background: var(--accent);
    color: var(--white);
    border-radius: 8px;
  }

  &__clear {
    font-size: 15px;
    font-weight: 700;
    cursor: pointer;
    color: var(--main-06);
    transition: 0.2s;
    &:hover {
      color: var(--main);
    }
  }

  &__close {
    padding: 0;
    width: 40px;
    height: 40px;
    background-color: transparent;
  }
}

.footer-bag {
  bottom: 0;
  margin-top: auto;
  font-weight: 700;
  &__main {
    display: flex;
    justify-content: space-between;
    align-items: center;

    margin: 0px 0px 14px 0px;
    padding: 0 15px;
    height: 50px;
    border-radius: 14px;
    background-color: var(--main-002);
  }

  &__check {
    width: 100%;
    height: 50px;
    line-height: 50px;
    font-size: 15px;
  }
}

.bag-item {
  position: relative;
  display: flex;
  align-items: center;
  padding: 12px;
  overflow: hidden;

  font-size: 15px;
  font-weight: 700;

  background-color: transparent;
  border-radius: 14px;
  transition: 0.2s;

  &::before {
    content: "";
    position: absolute;
    inset: 0px;
    border-radius: 16px;
    background: var(--main-004);
    pointer-events: none;
    opacity: 0;
    transform: scale(0.9);
    transition: 0.2s;
  }

  &:not(:disabled):hover::before,
  &:not(:disabled):focus::before {
    opacity: 1;
    transform: scale(1);
  }

  &:not(:disabled):active::before {
    transform: scale(0.95);
    background: var(--main-008);
  }

  &__main {
    display: flex;
    gap: 15px;
    width: 100%;
    min-width: 0;
  }

  &__box {
    position: relative;
  }

  &__img {
    display: flex;
    align-items: center;
    flex-shrink: 0;
    width: 56px;
    height: 56px;
    margin-right: 15px;
    border-radius: 12px;
    overflow: hidden;
  }

  &__remove-mini {
    position: absolute;
    justify-content: center;
    right: 6px;
    top: -6px;
    width: 22px;
    height: 22px;
    background-color: var(--main);
    color: var(--bg);
    border-radius: 100%;

    &::before {
      font-size: 16px;
    }
  }

  &__info {
    flex: 1 1 auto;
    min-width: 0;
  }

  &__price {
    white-space: nowrap;
    text-align: right;
    margin-right: 10px;
  }

  &__name,
  &__listing {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  &__name {
    position: relative;
    margin-bottom: 4px;
  }

  &__listing {
    color: var(--main-06);
    font-size: 13px;
  }

  &__remove {
    display: none;
    padding: 0px 15px 0px 10px;
    margin-right: 10px;
    height: 40px;
    line-height: 40px;
    font-size: 14px;
    gap: 10px;

    &.icon-close::before {
      font-size: 20px;
      line-height: 20px;
      font-weight: 700;
    }
  }
}

//*==============MODAL-BURGER=============

.burger-menu {
  &__inner {
    position: absolute;
    inset: 0px 0px 0px auto;
    top: 0px;
    width: 100%;
    max-width: 370px;
    margin: 20px 24px;
    overflow: hidden;
    pointer-events: none;

    color: var(--main);
    background-color: var(--bg);
    box-shadow: rgb(0 0 0 / 20%) 0 0 20px 2px;
    border-radius: 16px;

    opacity: 0;
    transform: translateX(30px);
    z-index: 9999;
    transition: all 0.2s;

    &.active {
      pointer-events: all;
      transform: translateX(0);
      opacity: 1;
    }
  }

  &__body {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 24px;
  }

  &__main {
    position: relative;
    margin-bottom: 30px;
    flex: 1 0 auto;
  }

  &__close {
    position: absolute;
    top: 2px;
    right: 0;
    padding: 0;
    width: 40px;
    height: 40px;
    line-height: 40px;
    background-color: transparent;
  }

  &__list {
  }

  &__item {
    font-size: 30px;
    font-weight: 700;
    color: var(--main-08);
    cursor: pointer;

    &:not(:last-child) {
      margin-bottom: 10px;
    }
    &:hover {
      transform: translateX(6px);
    }
  }

  &__connect-btn {
    width: 100%;
    font-size: 14px;
    margin: 0 0 30px;
  }

  &__socials {
    padding: 30px 0 0;
    border-top: 1px solid var(--main-01);
  }

  &__socials-list {
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 30px 0 0;
  }

  &__socials-item {
    color: var(--main-06);
    .icon-twitter::before,
    .icon-inst::before,
    .icon-discord::before,
    .icon-reddit::before,
    .icon-planet::before {
      font-size: 20px;
    }
  }
}
